cryptonite-0.10: Cryptography Primitives sink

License | BSD-style
Stability | experimental
Portability | ???
Safe Haskell | None
Language | Haskell2010

Crypto.Cipher.TripleDES

Description

Synopsis

- data DES_EEE3
- data DES_EDE3
- data DES_EEE2
- data DES_EDE2

# Documentation

data DES_EEE3 Source

3DES with 3 different keys used all in the same direction

Instances

Eq DES_EEE3 Source |
Cipher DES_EEE3 Source |
BlockCipher DES_EEE3 Source |

data DES_EDE3 Source

3DES with 3 different keys used in alternative direction

Instances

Eq DES_EDE3 Source |
Cipher DES_EDE3 Source |
BlockCipher DES_EDE3 Source |

data DES_EEE2 Source

3DES where the first and third keys are equal, used in the same direction

Instances

Eq DES_EEE2 Source |
Cipher DES_EEE2 Source |
BlockCipher DES_EEE2 Source |

data DES_EDE2 Source

3DES where the first and third keys are equal, used in alternative direction

Instances

Eq DES_EDE2 Source |
Cipher DES_EDE2 Source |
BlockCipher DES_EDE2 Source |